#ifndef GROUNDOBJECT_HPP_INCLUDED
#define GROUNDOBJECT_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

namespace Internal
{
    class GroundObject : public Object
    {
        public:
            GroundObject();
            GroundObject(const void* Obj);
            GroundObject(const GroundObject& G);
            static Class GetClass();

            std::int64_t GetHash() const;
            std::int32_t GetRenderInfo() const;
            Renderable GetRenderable() const;
            std::int32_t GetX() const;
            std::int32_t GetY() const;
            std::int32_t GetZ() const;

    };
}

#endif // GROUNDOBJECT_HPP_INCLUDED
